LibreOffice LibreOffice 26.2 SDK API Reference

Modules | Variables
ReportPrintOption.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::report
| interfaces for reports generated from data sources.

## Constant Groups
constants | com::sun::star::report::ReportPrintOption
| Specifies whether a page header or footer is printed on the same page as the report header or report footer.

## Variables
const short | ALL_PAGES = 0
| The page header/footer is printed on all pages. More...
const short | NOT_WITH_REPORT_HEADER = 1
| The page header/footer is not printed on the same page as the report header. More...
const short | NOT_WITH_REPORT_FOOTER = 2
| The page header/footer is not printed on the same page as the report footer. More...
const short | NOT_WITH_REPORT_HEADER_FOOTER = 3
| The page header/footer is not printed on the same page as the report header or footer. More...